Notes de mise à jour de Moodle 3.3.5

Date de sortie : 19 mars 2018

Vous pouvez consulter la liste des détails sur les évolutions et corrections de bogues de cette version 3.3.5 (en anglais).

Changements importants

  • MDL-48501, MDL-61600 - Migration vers reCAPTCHA v2
  • MDL-51189 - Test : possibilité de modifier les dérogations utilisateur même si le test n'est pas disponible pour un étudiant
  • MDL-60241 - Les sections par défaut invisibles menaient à des problèmes d'affichage inattendus
  • MDL-61344 - Devoir : les "fichiers additionnels" sont maintenant affichés lors de la modification de soumission

Préparation RGPD (GDPR)

Des plugins sont disponibles pour Moodle 3.3.5 et ultérieur et Moodle 3.4.2 et ultérieur afin d'aider les sites Moodle à se conformer au RGPD (GDPR). Dans Moodle 3.5, ils seront intégrés en standard. Quelques changements du cœur de Moodle sont déjà intégrés dans cette version :

  • MDL-61307 - Nouveau sous système lié à la vie privée
  • MDL-61477 - Permettre aux plugins de gérer les règlements du site et de déroger à $CFG->sitepolicy
  • MDL-61423 - Processus d'inscription - ajout de la vérification de l'âge minimal

Corrections et améliorations

  • MDL-58006 - Devoir : réinitialiser le statut "Évaluation à l'aveugle" lors de la réinitialisation du cours
  • MDL-58845 - Sondage : cacher la colonne "non répondu" lorsque les paramètres du sondage indiquent ce choix
  • MDL-56688 - Vue unique et exportation de notes doivent avoir le même ordre que défini dans les paramètres du carnet de notes
  • MDL-61305 - Performance : le cache Modinfo peut être alimenté en parallèle
  • MDL-61242 - Dépôt EQUELLA : correction de l'erreur "The source url does not match the sourcekey."
  • MDL-61175 - Changement de la date "Rappelez moi d'évaluer pour le" en cohérence avec la nouvelle date de début de cours, après une restauration de cours

Sécurité

  • MSA-18-0005 Les utilisateurs non authentifiés peuvent déclencher des messages personnalisés à l'administrateur via le script d'inscription Paypal
  • MSA-18-0006 Les utilisateurs suspendus avec une méthode d'authentification OAuth 2 peuvent toujours se connecter

Régressions

Attention : une régression est un problème apparu avec cette version, qui n'existait pas dans les versions précédentes. Vous devriez vérifier l'état de résolution de ces régressions, et peut-être ne mettre à jour que vers la version hebdomadaire qui corrigera ces régressions, si vous pensez qu'elles peuvent s'appliquer à votre plateforme.

  • MDL-61723 - les cours dont le "Nom court" est relativement long ne se sauvegardent plus !
  • MDL-61724 - les ressources fichiers et dossier ne fonctionnent plus lorsque des noms de fichier longs étaient utilisés !

Voir aussi